Subject: bug#74132: 31.0.50; thing-at-pt, ffap and Github markdown

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Nov 2024 10:52:06 -0500

> What will this do to URLs such as
>
>   http://web.archive.org/web/20240221082647/https://www.imdb.com/

Depends where point is: if it's after the `https`, then you get the
"sub-URL" and if it's on or before the `https` then you get the whole URL.

> I'm not sure I see how to resolve this dilemma.  Stefan, any ideas?

"url at point" is inherently heuristic, so I'm not too worried.
But I do very much agree with Stefan that we need tests, because it's
all too easy to run around in circles otherwise, fixing the heuristic to
handle case A but breaking case B along the way.

        Stefan